<?php require_once('topo.php');?>
<?php require_once('lateral.php');?>
<?php
//VERIFICAÇÃO DO PROGRAMA E NÍVEL PERMISÃO
$idprograma_pagina = 32;
//VERIFICA A AÇÃO DO USUÁRIO

$SelecionaProgramaUsuario = Seleciona("usuarios_programas", "WHERE idusuario='".$_SESSION['usuarioID']."' AND idprograma='$idprograma_pagina'", "LIMIT 0,1");
while($progama_usuario = mysql_fetch_array($SelecionaProgramaUsuario)){
$AcaoUsuario = $progama_usuario['acao'];
}

//AÇÕES
// Visualizar
// Inserir
// Completa

//MASTER ACESSO
if($_SESSION['master'] == 1){
   $AcaoUsuario = "Completa"; 
}

//FIM VERIFICAÇÃO PROGRAMA

//AJUSTO ID USUARIO PARA LOGS
if($_GET['AjusteUsuario'] == "Sim"){
$Seleciona = Seleciona("logs_produtos", "WHERE idusuario IS NULL", "");
while($logs = mysql_fetch_array($Seleciona)){
	$idvenda = $logs['idvenda'];
	$idmovimento_base = $logs['idmovimento_base'];
	
	//PEGO ID DA VENDA
	if($logs['origem'] == "VENDA"){
		$SelecionaVenda = Seleciona("vendas", "WHERE idvenda='$idvenda'", "LIMIT 0,1");
		while($venda = mysql_fetch_array($SelecionaVenda)){
			$idusuario_venda = $venda['idusuario'];	
		}
		//ALTERA USUARIO NO LOG ATUAL
		$AlterarLog = Alterar("logs_produtos", "idusuario='$idusuario_venda'", "idlog_produto", $logs['idlog_produto']);
	}
	
	//PEGO ID DO MOVIMENTO
	if($logs['origem'] == "MOVIMENTACAO"){
		$SelecionaMovimentos = Seleciona("movimentos", "WHERE idmovimento_base='$idmovimento_base'", "LIMIT 0,1");
		while($movimento = mysql_fetch_array($SelecionaMovimentos)){
			$idusuario_movimento = $movimento['idusuario'];	
		}
		//ALTERA USUARIO NO LOG ATUAL
		$AlterarLog = Alterar("logs_produtos", "idusuario='$idusuario_movimento'", "idlog_produto", $logs['idlog_produto']);
	}	
	
	$idvenda = "";
	$idmovimento_base = "";	
}
}
?> 
<?php
error_reporting(0);
ini_set("display_errors", 0 );
?>
<script type="text/javascript">
//BUSCAR MATÉRIA BRUTA
$(function() {
$("#bruta").autocomplete({
	source: "ajax/autocomplete_buscar_bruta.php",
	minLength: 1,
	select: function(event, ui) {
        $('#idmateriabruta').val(ui.item.idmateriabruta);
		$('#bruta').val(ui.item.titulo);
		$("#datainicio").focus();
    }
});
});

//PRODUTO LOJA
$(function() {
$("#loja").autocomplete({
	source: "ajax/autocomplete_buscar_produtos.php",
	minLength: 1,
	select: function(event, ui) {
        $('#loja').val(ui.item.titulo);
        $('#idproduto_loja').val(ui.item.idproduto_loja);
		$("#datainicio").focus();			
    }
});
});

//BUSCAR PRODUTOS FABRICA
$(function() {
$("#fabrica").autocomplete({
	source: "ajax/autocomplete_buscar_produtos_fabrica.php",
	minLength: 1,
	select: function(event, ui) {
        $('#idproduto_fabrica').val(ui.item.idproduto_fabrica);
		$('#fabrica').val(ui.item.titulo);
		$("#datainicio").focus();
    }
});
});


function OpcaoRadio() {
  var bruta = document.getElementById("opt-bruta").checked;
  if (bruta) {
    document.getElementById("bruta").style.display = "block";
    document.getElementById("fabrica").style.display = "none";
    document.getElementById("loja").style.display = "none";	
    document.getElementById("colaborador").style.display = "none";
  }
  
  var fabrica = document.getElementById("opt-fabrica").checked;
  if (fabrica) {
    document.getElementById("bruta").style.display = "none";
    document.getElementById("fabrica").style.display = "block";
    document.getElementById("loja").style.display = "none";	
    document.getElementById("colaborador").style.display = "none";
  }
  
  var loja = document.getElementById("opt-loja").checked;
  if (loja) {
    document.getElementById("bruta").style.display = "none";
    document.getElementById("fabrica").style.display = "none";
    document.getElementById("loja").style.display = "block";	
    document.getElementById("colaborador").style.display = "none";		
  } 
  
  var colaborador = document.getElementById("opt-colaborador").checked;
  if (colaborador) {
    document.getElementById("bruta").style.display = "none";
    document.getElementById("fabrica").style.display = "none";
    document.getElementById("loja").style.display = "none";
    document.getElementById("colaborador").style.display = "block";		
  }      
}

</script> 
      <!-- Right side column. Contains the navbar and content of the page -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Histórico e Movimentação de Produtos
            <small>listagem do histórico de produtos</small>
          <button type="button" class="btn btn-primary" onclick="window.print();" >Imprimir</button>
          </h1>
          <ol class="breadcrumb">
            <li><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="listar_logs_produtos.php">Histórico dos Produtos</a></li>
            <li class="active">Listagem</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12"><!-- /.box -->             

              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">Histórico do Produto</h3>
                </div><!-- /.box-header -->
            <table width="100%" border="0" align="right" cellpadding="2" cellspacing="2">
            <form method="get" action="listar_logs_produtos.php" enctype="multipart/form-data" autocomplete="off">
            <input type="hidden" name="idmateriabruta" id="idmateriabruta" value="<?php echo $_GET['idmateriabruta'];?>">
            <input type="hidden" name="idproduto_fabrica" id="idproduto_fabrica" value="<?php echo $_GET['idproduto_fabrica'];?>">
            <input type="hidden" name="idproduto_loja" id="idproduto_loja" value="<?php echo $_GET['idproduto_loja'];?>">                        
            <tr>            

            <td bgcolor="#F4F4F4" style="font-weight:bold; ">
            Matéria Bruta
            <input name="option" type="radio" id="opt-bruta" style="float:left; margin:5px;" onclick="OpcaoRadio();" value="bruta">
			</td>

            <td bgcolor="#F4F4F4" style="font-weight:bold;">
            Produto Fábrica
            <input name="option" type="radio" id="opt-fabrica" style="float:left; margin:5px;" onclick="OpcaoRadio();" value="fabrica">
            </td>            
            
            <td bgcolor="#F4F4F4" style="font-weight:bold;">
            Produto Loja
            <input name="option" type="radio" id="opt-loja" style="float:left; margin:5px;" onclick="OpcaoRadio();" value="loja">
            </td> 
            
            <td bgcolor="#F4F4F4" style="font-weight:bold;" >
            Colaborador
              <input name="option" type="radio" id="opt-colaborador" style="float:left; margin:5px;" onClick="OpcaoRadio();" value="colaborador"></td>                                
            
            <td bgcolor="#F4F4F4" style="font-weight:bold;">
            <input type='text' id='bruta' name='bruta' class='form-control' placeholder='Matéria Bruta' value='' style="display:none;">
            </td>           

            <td bgcolor="#F4F4F4" style="font-weight:bold;" >
            <input type='text' id='fabrica' name='fabrica' class='form-control' placeholder='Produto Fábrica' value='' style="display:none;">
            </td>           

            <td bgcolor="#F4F4F4" style="font-weight:bold;">
            <input type='text' id='loja' name='loja' class='form-control' placeholder='Produto Loja' value='' style="display:none;">
            </td>           

            <td bgcolor="#F4F4F4" style="font-weight:bold;">
            
            <select class="form-control" name="colaborador" id="colaborador" style="display:none;">
            <option value="" >Selecione um Colaborador</option> 
            <?php
			$SelecionaColaborador = Seleciona("logs_produtos", "", "GROUP BY idusuario");
			while($colaborador = mysql_fetch_array($SelecionaColaborador)){
			?>
            <option value="<?php echo $colaborador['idusuario'];?>" ><?php echo NomeUsuario($colaborador['idusuario']);?></option>            
            <?php }?>
            </select>            
            
            </td>      
            
            <td bgcolor="#F4F4F4">
            <input type="date" placeholder="Data Inicio" name="datainicio" id="datainicio" />
            </td>
            <td bgcolor="#F4F4F4">
            <input type="date" placeholder="Data Inicio" name="datafim" id="datafim"/>
            </td>
            
            <td align="left" bgcolor="#F4F4F4"><input type="submit" name="button" id="button" value="Filtrar" /></td>
            </tr>
            </form>
            </table>                  
                <div class="box-body">
                <?php
				//if($_GET['idusuario'] != ""){
				?>
                  <table id="tabela_log" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th style="cursor:pointer">Tipo</th>
                        <th style="cursor:pointer">Produto</th>
                        <th style="cursor:pointer">Titulo</th>                        
                        <th style="cursor:pointer">Quantidade</th> 
                        <?php
						if($_GET['colaborador'] != ""){
						?>                        
                        <th style="cursor:pointer">Valor Unit.</th>
                        <th style="cursor:pointer">Valor Total</th>
                        <th style="cursor:pointer">Data</th>                         
                        <?php }?>
                        <th style="cursor:pointer">Cadastro por</th>                                                 
                      </tr>
                    </thead>
                    <tbody>
					<?php
					$datainicio = $_GET['datainicio'];
					$datafim = $_GET['datafim'];
					$TotalEntrada = "";
					$TotalSaida = "";
					if($_GET['bruta'] != ""){
						if($datainicio == "" and $datafim == ""){
							$Seleciona = Seleciona("logs_produtos", "WHERE idmateriabruta='".$_GET['idmateriabruta']."'", "ORDER BY data DESC");
							//echo "1";							
						}else{
							$Seleciona = Seleciona("logs_produtos", "WHERE idmateriabruta='".$_GET['idmateriabruta']."' AND data BETWEEN ('$datainicio') AND ('$datafim')", "ORDER BY data DESC");
							//echo "2";						
						}
					//SELECIONA NOME
					$SelecionaBruta = Seleciona("materiabruta", "WHERE idmateriabruta='".$_GET['idmateriabruta']."'", "");
					while($bruta = mysql_fetch_array($SelecionaBruta)){
						$NomeProduto = $bruta['titulo'];	
					}
					}
					
					if($_GET['fabrica'] != ""){
						if($datainicio == "" and $datafim == ""){
							$Seleciona = Seleciona("logs_produtos", "WHERE idproduto_fabrica='".$_GET['idproduto_fabrica']."'", "ORDER BY data DESC");
							//echo "3";							
						}else{
							$Seleciona = Seleciona("logs_produtos", "WHERE idproduto_fabrica='".$_GET['idproduto_fabrica']."' AND data BETWEEN ('$datainicio') AND ('$datafim')", "ORDER BY data DESC");	
							//echo "4";						
						}
					//SELECIONA NOME
					$SelecionaFabrica = Seleciona("produtos_fabrica", "WHERE idproduto_fabrica='".$_GET['idproduto_fabrica']."'", "");
					while($fabrica = mysql_fetch_array($SelecionaFabrica)){
						$NomeProduto = $fabrica['titulo'];	
					}
					}
					
					if($_GET['loja'] != ""){
						if($datainicio == "" and $datafim == ""){
							$Seleciona = Seleciona("logs_produtos", "WHERE idproduto_loja='".$_GET['idproduto_loja']."'", "ORDER BY data DESC");
							//echo "5";							
						}else{
							$Seleciona = Seleciona("logs_produtos", "WHERE idproduto_loja='".$_GET['idproduto_loja']."' AND data BETWEEN ('$datainicio') AND ('$datafim')", "GROUP BY idvenda ORDER BY data DESC");								
							//echo "6";						
						}
					//SELECIONA NOME
					$SelecionaLoja = Seleciona("produtos_loja", "WHERE idproduto_loja='".$_GET['idproduto_loja']."'", "");
					while($loja = mysql_fetch_array($SelecionaLoja)){
						$NomeProduto = $loja['titulo'];	
					}
					}	
					
					if($_GET['colaborador'] != ""){
						if($datainicio == "" and $datafim == ""){
							$Seleciona = Seleciona("logs_produtos", "WHERE idusuario='".$_GET['colaborador']."'", "ORDER BY data DESC");
							//echo "7";						
						}else{
							$Seleciona = Seleciona("logs_produtos", "WHERE idusuario='".$_GET['colaborador']."' AND data BETWEEN ('$datainicio') AND ('$datafim')", "ORDER BY data DESC");								
							//echo "8";						
						}

					}																				
					
					while($linha = mysql_fetch_array($Seleciona)){
					
					//COLABORADOR
					if($linha['idmateriabruta'] != ""){
										
					$SelecionaBruta = Seleciona("materiabruta", "WHERE idmateriabruta='".$linha['idmateriabruta']."'", "");
					while($bruta = mysql_fetch_array($SelecionaBruta)){
						$NomeProduto = $bruta['titulo'];	
					}											
					}
					
					if($linha['idproduto_fabrica'] != ""){
										
					$SelecionaFabrica = Seleciona("produtos_fabrica", "WHERE idproduto_fabrica='".$linha['idproduto_fabrica']."'", "");
					while($fabrica = mysql_fetch_array($SelecionaFabrica)){
						$NomeProduto = $fabrica['titulo'];	
					}														
					}
					
					if($linha['idproduto_loja'] != ""){
										
					$SelecionaLoja = Seleciona("produtos_loja", "WHERE idproduto_loja='".$linha['idproduto_loja']."'", "");
					while($loja = mysql_fetch_array($SelecionaLoja)){
						$NomeProduto = $loja['titulo'];	
					}										

					}	
					
					//MOVIMENTO
					
					if($linha['idmovimento_base'] != ""){
					
					//MATERIA BRUTA					
					if($linha['idmateriabruta'] != "" or $linha['idmateriabruta'] != 0){
						
					$SelecionaMovimento = Seleciona("movimentos_produtos", "WHERE idmovimento_base='".$linha['idmovimento_base']."' AND idmateriabruta='".$linha['idmateriabruta']."'", "LIMIT 0,1");
					while($movimento = mysql_fetch_array($SelecionaMovimento)){
						$ValorMovimento = $movimento['quantidade']*$movimento['valor_unitario'];
						$ValorUnitario = $movimento['valor_unitario'];	
					}
											
					}
					
					if($linha['idproduto_fabrica'] != "" or $linha['idproduto_fabrica'] != 0){
							
					$SelecionaMovimento = Seleciona("movimentos_produtos", "WHERE idmovimento_base='".$linha['idmovimento_base']."' AND idproduto_fabrica='".$linha['idproduto_fabrica']."'", "LIMIT 0,1");
					while($movimento = mysql_fetch_array($SelecionaMovimento)){
						$ValorMovimento = $movimento['quantidade']*$movimento['valor_unitario'];
						$ValorUnitario = $movimento['valor_unitario'];
					}	
										
					}

					}										
					
					
					
					if($linha['tipo'] == "Entrada"){
						$QtdeEntrada = $linha['quantidade'];
					}else{
						$QtdeSaida = $linha['quantidade'];	
					}
					
                    ?>
                      <tr>
                        <td><?php echo $linha['tipo'];?> </td>
                        <td><?php echo $NomeProduto;?></td>
                        <td>
						<?php
						echo $linha['titulo_log'];
						
						if($linha['tipo'] == "Entrada"){
						echo "<br> Fabricado por: ";
						echo NomeUsuario($linha['idusuario']);
						}
						
						if($linha['tipo'] == "Saida"){
						
						if($linha['cliente'] == ""){	
						$idvenda = preg_replace("/[^0-9]/", "", $linha['titulo_log']);						
						//PEGA NOME CLIENTE
						$SelecionaVenda = Seleciona("vendas", "WHERE idvenda='$idvenda'", "LIMIT 0,1");
						while($venda = mysql_fetch_array($SelecionaVenda)){
							$NomeCliente = $venda['nome'];	
						}
						
						}else{
							$NomeCliente = $linha['cliente'];
						}
						
						echo "<br> Vendido por: ";
						echo $linha['colaborador'];
						echo "<br> Cliente: ";
						echo $NomeCliente;						
						}						
						?>
                        </td>
                        <td><?php echo $linha['quantidade'];?></td> 
						<?php
                        if($_GET['colaborador'] != ""){
                        ?>
                        <td><?php if($ValorUnitario > 0){ echo "R$ " . number_format($ValorUnitario, 2, ',', '.');}?></td>
                        <td><?php if($ValorMovimento > 0){ echo "R$ " . number_format($ValorMovimento, 2, ',', '.');}?></td>
                        <td><?php echo $linha['data'];?></td>
						<?php }?>                        
                        <td><?php echo LoginUsuario($linha['idusuario_cadastro']);?></td>                        
                      </tr>
                      <?php 
					  $NomeCliente = "";
					  $idvenda = "";
					  	$ValorTotalMovimento = $ValorMovimento + $ValorTotalMovimento;
						$TotalEntrada = $QtdeEntrada + $TotalEntrada;
						$TotalSaida = $QtdeSaida + $TotalSaida;	
						$ValorMovimento = "";
						$QtdeEntrada = "";
						$QtdeSaida = "";
						$ValorUnitario = "";
						$NomeProduto = "";					
					}
					  ?>
                    </tbody>
                    <tfoot>
                      <tr>
                        <th style="cursor:pointer"></th>
                        <th style="cursor:pointer"></th>
                        <th style="cursor:pointer">Qtd. Entrada: <?php echo $TotalEntrada;?></th>                        
                        <th style="cursor:pointer">Qtd. Saída: <?php echo $TotalSaida;?></th> 
                        <?php
						if($_GET['colaborador'] != ""){
						?>       
                        <th style="cursor:pointer"></th>                 
                        <th style="cursor:pointer"><?php if($ValorTotalMovimento > 0){ echo "R$ " . number_format($ValorTotalMovimento, 2, ',', '.');}?></th>
                        <th style="cursor:pointer">Saldo: <?php echo $TotalEntrada - $TotalSaida;?></th>                         
                        <?php }?>
                        <th style="cursor:pointer">Cadastro por</th>                      
                      </tr>
                    </tfoot>
                  </table>
                  <?php //}?>
                </div><!-- /.box-body -->
              </div><!-- /.box -->
            </div><!-- /.col -->
          </div><!-- /.row -->
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
<?php require_once('rodape.php');?>